List notebooks
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve a list of notebook objects.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Notes.Create, Notes.Read, Notes.ReadWrite, Notes.Read.All, Notes.ReadWrite.All |
| Delegated (personal Microsoft account) | Notes.Create, Notes.Read, Notes.ReadWrite |
| Application | Notes.Read.All, Notes.ReadWrite.All |
HTTP request
GET /me/onenote/notebooks
GET /users/{id | userPrincipalName}/onenote/notebooks
GET /groups/{id}/onenote/notebooks
GET /sites/{id}/onenote/notebooks
Optional query parameters
This method supports the OData Query Parameters to help customize the response.
The default sort order is name asc.
Valid expand values for notebooks are sections and sectionGroups.
Request headers
| Name | Type | Description |
|---|---|---|
| Authorization | string | Bearer {token}. Required. |
| Accept | string | application/json |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and collection of notebook objects in the response body.
Example
Request
Here is an example of the request.
GET https://graph.microsoft.com/beta/me/onenote/notebooks
Response
Here is an example of the response. Note: The response object shown here is truncated for brevity. All of the properties will be returned from an actual call.
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"isDefault": true,
"userRole": "Owner",
"isShared": false,
"sectionsUrl": "https://graph.microsoft.com/v1.0/users/7d54cb02-aaa3-4016-9f9c-a4b49422dd9b/onenote/notebooks/1-10143016-70dc-4449-b92a-3015225f800d/sections",
"sectionGroupsUrl": "https://graph.microsoft.com/v1.0/users/7d54cb02-aaa3-4016-9f9c-a4b49422dd9b/onenote/notebooks/1-10143016-70dc-4449-b92a-3015225f800d/sectionGroups",
"id": "8fcb5dbc-d5aa-4681-8e31-b001d5168d79",
"links": {
"oneNoteClientUrl": {
"href": "onenote:https://contoso-my.sharepoint.com/personal/admin_m365x841051_onmicrosoft_com/Documents/Notebooks/My%20Private%20notebook"
},
"oneNoteWebUrl": {
"href": "https://contoso-my.sharepoint.com/personal/admin_m365x841051_onmicrosoft_com/Documents/Notebooks/My%20Private%20notebook"
}
}
}
]
}
Feedback
Submit and view feedback for